Summary: Multi-vendor UPS Monitoring Project
Name: smartupstools
%define version 0.41.2
Version: %{version}
Release: C12
Group: Applications/System
Source: http://www.exploits.org/~rkroll/smartupstools/smartupstools-0.41.2.tar.gz
Patch0: smartupstools.cobalt1
Copyright: GPL
BuildRoot: /var/tmp/smartupstools-%{version}-root

%description
These programs are part of a developing project to monitor the assortment 
of UPSes that are found out there in the field. Many models have serial 
serial ports of some kind that allow some form of state checking. This
capability has been harnessed where possible to allow for safe shutdowns, 
live status tracking on web pages, and more.

%changelog
* Wed Sep 27 2000 Jeff Armbrecht <jarmbrecht@cobalt.com>
- modify service script to allow proper slave configuration from LCD

* Tue Jun 20 2000 Adrian Sun <asun@cobalt.com>
- make /var/state/ups 775.

* Tue Nov 23 1999 Duncan Laurie <duncan@cobalt.com>
- make gettext calls with specified domain

* Fri Oct 07 1999 Timothy Stonis <tim@cobaltnet.com>
-Fixing button debounce

* Fri Oct 01 1999 Duncan Laurie <duncan@cobaltnet.com>
- remove japanese language files cause we don't want to ship them empty
- change /etc/LANGUAGE to /etc/cobalt/locale in scripts
- have LCD script run chkconfig to completely enable/disable ups

%prep
%setup -q
%patch0 -p1

%build
autoconf
./configure --with-uid=99 --with-gid=5 --enable-celsius --prefix=/usr --sysconfdir=/etc/ups
make

%install
make CONFPATH=$RPM_BUILD_ROOT/etc/ups BASEPATH=$RPM_BUILD_ROOT/usr install
make CONFPATH=$RPM_BUILD_ROOT/etc/ups BASEPATH=$RPM_BUILD_ROOT/usr install-cgi

mkdir -m 775 -p $RPM_BUILD_ROOT/var/state/ups
chown nobody.tty $RPM_BUILD_ROOT/var/state/ups

mkdir -p $RPM_BUILD_ROOT/etc/rc.d/init.d
install -m 755 -o 0 -g 0 scripts/RedHat-6.0/ups $RPM_BUILD_ROOT/etc/rc.d/init.d

mkdir -p $RPM_BUILD_ROOT/etc/sysconfig
install -m 644 -o 0 -g 0 scripts/RedHat-6.0/ups-config $RPM_BUILD_ROOT/etc/sysconfig/ups

mkdir -p $RPM_BUILD_ROOT/etc/lcd.d/10main.m/15CONFIGURE_UPS.s
install -m 500 -o 0 -g 0 scripts/cobalt/configure_ups $RPM_BUILD_ROOT/etc/lcd.d/10main.m/15CONFIGURE_UPS.s/10configure_ups
install -m 500 -o 0 -g 0 scripts/cobalt/string $RPM_BUILD_ROOT/etc/lcd.d/10main.m/15CONFIGURE_UPS.s/string

%post
/sbin/chkconfig --del ups

%clean
rm -rf $RPM_BUILD_ROOT

%files
%config /etc/ups/hosts.conf
%config /etc/ups/upsd.conf
%config /etc/ups/upsmon.conf
%config /etc/ups/smartups.conf
%config /etc/sysconfig/ups
%doc docs/access.txt docs/commands.txt docs/new-modules.txt
%doc docs/pager.txt docs/protocol.txt docs/tips.txt
%doc docs/todo.txt docs/ups-trust425+625.txt
%dir /var/state/ups
%dir /etc/lcd.d/10main.m/15CONFIGURE_UPS.s
/etc/rc.d/init.d/ups
/etc/lcd.d/10main.m/15CONFIGURE_UPS.s/10configure_ups
/etc/lcd.d/10main.m/15CONFIGURE_UPS.s/string
#/usr/share/locale/en_US/LC_MESSAGES/smartupstools.mo
#/usr/share/locale/ja_JP/LC_MESSAGES/smartupstools.mo
#/etc/cobalt/messages/en_US/smartupstools.po
#/etc/cobalt/messages/ja_JP/smartupstools.po
/usr/bin/backups
/usr/bin/backupspro
/usr/bin/smartups
/usr/bin/ups-trust425+625
/usr/bin/upsc
/usr/bin/upsct
/usr/bin/upsd
/usr/bin/upslog
/usr/bin/upsmon
/usr/cgi-bin/multimon.cgi
/usr/cgi-bin/upsimage.cgi
/usr/cgi-bin/upsstats.cgi
